Bug 198589 - [PATCH] Update www/redmine to 2.6.3
Summary: [PATCH] Update www/redmine to 2.6.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-15 04:13 UTC by Andrew Berg
Modified: 2015-03-30 09:09 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
Patch for Redmine 2.6.2 against r381296 (39.71 KB, patch)
2015-03-15 04:13 UTC, Andrew Berg
no flags Details | Diff
Updated patch for r381352 (39.12 KB, patch)
2015-03-15 17:57 UTC, Andrew Berg
no flags Details | Diff
Patch for Redmine 2.6.3 against r382106 (39.59 KB, patch)
2015-03-27 15:04 UTC, Andrew Berg
no flags Details | Diff
Patch for Redmine 2.6.3 against r382106 (fixed) (39.61 KB, patch)
2015-03-29 14:04 UTC, Andrew Berg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Berg 2015-03-15 04:13:32 UTC
Created attachment 154310 [details]
Patch for Redmine 2.6.2 against r381296

NOTE: This patch is not likely to work for most people since rbpdf was moved out of Redmine and must be obtained as a gem which we do not have in ports. If you want to test this while I see if I can make a port for it, simply use bundle to install it.

Other than the standard patch file fixes, the plist is changed to mostly match the output of 'make makeplist', which does away with the deprecated @dirrmtry.

I would appreciate some review of the dependencies since I don't understand them enough to know if they are ideal unchanged. However, I was able to upgrade from 2.5.2 using the package I built and currently have a functional instance of 2.6.2.

Poudriere build log: https://candace.robotsondrugs.com/poudriere/data/101x64-default/2015.03.14_22:43:35/logs/redmine-2.6.2.log
Comment 1 Michael Moll freebsd_committer 2015-03-15 14:18:31 UTC
I ported rbpdf in #198604, please test.

Also, it would be nice to update rails and friends to 3.2.21, but of course it's working with 3.2.x anyway.
Comment 2 Andrew Berg 2015-03-15 17:57:01 UTC
Created attachment 154398 [details]
Updated patch for r381352

Undid change for the builder line in the Gemfile patch.
Added the new print/rubygem-rbpdf port as a dependency.
Comment 3 Johannes Jost Meixner freebsd_committer 2015-03-24 22:54:17 UTC
I'll take it.
Comment 4 Andrew Berg 2015-03-27 15:04:57 UTC
Created attachment 154867 [details]
Patch for Redmine 2.6.3 against r382106

Updated to 2.6.3, and fixed dependencies for that. Fixed other dependencies that were not caught because of bundle(r). This patch has been tested and works in a clean environment without any invocation of bundle.
I still need to talk with swills@ a bit more to come up with the wording for a new pkg-message that discourages users from using bundle as directed in the Redmine installation guide (http://www.redmine.org/projects/redmine/wiki/RedmineInstall) since it involves using bundle to resolve dependencies, and we want to avoid having bundle mask problems with the port.
Comment 5 Andrew Berg 2015-03-29 14:04:38 UTC
Created attachment 154964 [details]
Patch for Redmine 2.6.3 against r382106 (fixed)

Fixed i18n patch lines.
Comment 6 commit-hook freebsd_committer 2015-03-29 16:47:06 UTC
A commit references this bug:

Author: xmj
Date: Sun Mar 29 16:46:15 UTC 2015
New revision: 382614
URL: https://svnweb.freebsd.org/changeset/ports/382614

Log:
  www/redmine: Update to 2.6.3

  - Update to 2.6.3
  - Add rbpdf and request_store dependencies

  PR:		198589
  Submitted by:	Andrew Berg <aberg010@my.hennepintech.edu>
  Approved by:	mentors (implicit)

Changes:
  head/www/redmine/Makefile
  head/www/redmine/distinfo
  head/www/redmine/files/extra-patch-Gemfile
  head/www/redmine/files/extra-patch-thin-Gemfile
  head/www/redmine/files/patch-Gemfile
  head/www/redmine/pkg-plist
Comment 7 Johannes Jost Meixner freebsd_committer 2015-03-30 09:09:12 UTC
Committed, thanks!